質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.48%
Unity3D

Unity3Dは、ゲームや対話式の3Dアプリケーション、トレーニングシュミレーション、そして医学的・建築学的な技術を可視化する、商業用の開発プラットフォームです。

Unity

Unityは、Unity Technologiesが開発・販売している、IDEを内蔵するゲームエンジンです。主にC#を用いたプログラミングでコンテンツの開発が可能です。

Q&A

解決済

1回答

12947閲覧

UnityにVRChat用のアセットを導入した時のエラー

Homewobox

総合スコア1

Unity3D

Unity3Dは、ゲームや対話式の3Dアプリケーション、トレーニングシュミレーション、そして医学的・建築学的な技術を可視化する、商業用の開発プラットフォームです。

Unity

Unityは、Unity Technologiesが開発・販売している、IDEを内蔵するゲームエンジンです。主にC#を用いたプログラミングでコンテンツの開発が可能です。

0グッド

0クリップ

投稿2021/10/31 10:56

今の状況

https://konkon3249.fanbox.cc/posts/2086234
主にこちらの記事を参考にVRChatにVRMを導入するための準備をしています。
手順通りに、必要なアセットを導入しましたがエラーが出ます。
VRC SDK3 → UniVRM →VRM Converter for VRChat の順に入れるのですが、初めのVRC SDK3で詰まっているので次に進めません。
配布されているアセットすら導入できない木偶の坊で本当に申し訳ありませんが、ヒントだけでも頂けたらと思います。

発生している問題・エラーメッセージ

Assembly 'Assets/VRCSDK/Plugins/VRCSDK3A-Editor.dll' will not be loaded due to errors: Reference has errors 'VRCSDKBase'. Assembly 'Assets/VRCSDK/Plugins/VRCSDK3A.dll' will not be loaded due to errors: Reference has errors 'VRCSDKBase'. Assembly 'Assets/VRCSDK/Plugins/VRCSDKBase-Editor.dll' will not be loaded due to errors: Reference has errors 'VRCSDKBase'. Assembly 'Assets/VRCSDK/Plugins/VRCSDKBase.dll' will not be loaded due to errors: Unable to resolve reference 'UnityEngine.InputLegacyModule'. Is the assembly missing or incompatible with the current platform? Reference validation can be disabled in the Plugin Inspector. Assets\VRCSDK\Dependencies\VRChat\Editor\FixConstraintUpdateOrder.cs(7,19): error CS0234: The type or namespace name 'LowLevel' does not exist in the namespace 'UnityEngine' (are you missing an assembly reference?) Assets\VRCSDK\Dependencies\VRChat\Editor\FixConstraintUpdateOrder.cs(8,19): error CS0234: The type or namespace name 'PlayerLoop' does not exist in the namespace 'UnityEngine' (are you missing an assembly reference?)

イメージ説明

試したこと

Unity 2018.4.20f1 に対応だったのでバージョンを合わせた。
Package Manager のPost Processing を最新版にする。
フォルダ名、ファイル名に日本語が入っていないか確認。
Unity Hub と Unity のインストールし直し
パソコンの再起動

エラーメッセージごとに検索してみましたが、恥ずかしながらUnityを触り始めたばかりでどう修正していいのかわかりません。ここに至るまで、自分で解決できたものもありますが、ここで詰んでいます。
VRChatに自作アバターを導入するときのトラブルシューティングは、アセットを導入してからの操作についてのものばかりでお手上げです。

どうか、お知恵をお貸しください。

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

guest

回答1

0

ベストアンサー

Unity 2018.4.20f1 に対応だったのでバージョンを合わせた。

VRChatで使用されている現在のUnityバージョンは Unity2019.4.31f1 です。
公式サイトを確認しましょう。
Currently Supported Unity Version

投稿2021/10/31 11:05

編集2021/10/31 11:05
ku__ra__ge

総合スコア4524

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

Homewobox

2021/11/01 11:29

ありがとうございます。 現在サポートされているバージョンに変えたところ、できました。 凡ミスにもかかわらず、答えてくださり重ね重ねありがとうございました。 助かりました。
guest

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.48%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問